%define upstream_name    Attribute-Storage
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declare and retrieve named attributes about CODE
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
This package provides a base, where a package using it can define handlers
for particular code attributes. Other packages, using the package that
defines the code attributes, can then use them to annotate subs.

This is similar to 'Attribute::Handlers', with the following key
differences:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 04 2022 tv <tv> 0.100.0-2.mga9
+ Revision: 1875077
- Rebuild for perl-5.36

* Thu May 05 2022 tv <tv> 0.100.0-1.mga9
+ Revision: 1856243
- update to 0.10

* Thu Mar 17 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1796898
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.90.0-1.mga9
+ Revision: 1777920
- imported package perl-Attribute-Storage

